Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Reserve quota and presign an upload

POST/api/admin/storage/upload-url
Request body
requiredapplication/json
fileIdstringrequired
min length 1
prefixstring
Allowed:challenge_filescertificatesavatarswriteups
contentLengthnumberrequired
min 1
Responses
200

Success

uploadUrlstringrequired
headersobjectrequired
401

Unauthorized

errorstringrequired
413

Response

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X POST '/api/admin/storage/upload-url' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "fileId": "string",
  "prefix": "challenge_files",
  "contentLength": 1
}'
Response
{
  "uploadUrl": "string",
  "headers": {
    "property1": "string",
    "property2": "string"
  }
}